Plan On-ramp
client.MagicCloudNetworking.OnRamps.Plan(ctx, onrampID, body) (*OnRampPlanResponse, error)
POST/accounts/{account_id}/magic/cloud/onramps/{onramp_id}/plan
Plan an On-ramp (Closed Beta).
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
Magic WAN WriteParametersExpand Collapse
ReturnsExpand Collapse
type OnRampPlanResponse struct{…}
type OnRampPlanResponse struct{…}
Plan On-ramp
package main
import (
"context"
"fmt"
"github.com/cloudflare/cloudflare-go"
"github.com/cloudflare/cloudflare-go/magic_cloud_networking"
"github.com/cloudflare/cloudflare-go/option"
)
func main() {
client := cloudflare.NewClient(
option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
)
response, err := client.MagicCloudNetworking.OnRamps.Plan(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
magic_cloud_networking.OnRampPlanParams{
AccountID: cloudflare.F("account_id"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Errors)
}
{
"errors": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"success": true
}Returns Examples
{
"errors": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"success": true
}